<bugID>1094505<Summary>Avoid using concatenated name in installer</Summary><Description>Created attachment 8517807
2014-11-04_1336.png

See screenshot, it would be great if the installer displayed 'Firefox Developer Edition' instead of 'FirefoxDeveloperEdition'.</Description></bugID>